tigase.criteria

## Class ElementCriteria

- java.lang.Object
- - tigase.criteria.ElementCriteria

- All Implemented Interfaces:
    Criteria

      public class ElementCriteria
      extends Object
      implements Criteria

  Created: 2007-06-19 20:34:57

  Version:
    $Rev$
  Author:
    bmalkow

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ElementCriteria(String name, String cdata, String[] attname, String[] attValue)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Criteria` | `add(Criteria criteria)`
    `static ElementCriteria` | `empty()`
    `boolean` | `match(Element element)`
    `static ElementCriteria` | `name(String name)`
    `static ElementCriteria` | `name(String name, String xmlns)`
    `static ElementCriteria` | `name(String name, String[] attNames, String[] attValues)`
    `static ElementCriteria` | `name(String name, String cdata, String[] attNames, String[] attValues)`
    `static ElementCriteria` | `nameType(String name, String type)`
    `static ElementCriteria` | `xmlns(String xmlns)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ElementCriteria

          public ElementCriteria(String name,
                                 String cdata,
                                 String[] attname,
                                 String[] attValue)

  - ### Method Detail

    - #### empty

          public static final ElementCriteria empty()

    - #### name

          public static final ElementCriteria name(String name)

    - #### name

          public static final ElementCriteria name(String name,
                                                   String xmlns)

    - #### name

          public static final ElementCriteria name(String name,
                                                   String cdata,
                                                   String[] attNames,
                                                   String[] attValues)

    - #### name

          public static final ElementCriteria name(String name,
                                                   String[] attNames,
                                                   String[] attValues)

    - #### nameType

          public static final ElementCriteria nameType(String name,
                                                       String type)

    - #### xmlns

          public static final ElementCriteria xmlns(String xmlns)

    - #### add

          public Criteria add(Criteria criteria)

      Specified by:
        `add` in interface `Criteria`

    - #### match

          public boolean match(Element element)

      Specified by:
        `match` in interface `Criteria`

Copyright © 2004–2020 "Tigase, Inc.". All rights reserved.